<?php
include("../custom/config.php"); // fichier de config
include("../includes/inc-functions.php");
?>

<div id="main-editor-tools" class="clearfix">
    <div class='editor-tools-right'><a class='tool-button small-carefull' title='delete' href='javascript:cache_colonne_display();'>Cancel <i class='fa fa-chevron-right fa-fw'></i></a>
    </div>
</div>
<article>
    <?php
    if(isset($_POST['item'])){ // Il y a un item, c'est un update
        $file=$_POST['item'];
        $action=array(
            "titre"=>"Modifier un item",
            "submit"=>"Modifier",
            "traitement"=>"updater_item",
            "addtop"=>"",
            "addbottom"=>""
        );
        $donnees=read_xml($file,true);

    } else { // pas d'item, c'est une création
        $action=array(
            "titre"=>"Ajouter un item",
            "submit"=>"Ajouter",
            "traitement"=>"ajouter_item",
            "addtop"=>"",
            "addbottom"=>""
        );
        $donnees="";
    }

    echo deployer_formulaire_item($donnees,$action);
    ?></article>
<script>
    $('.format').trumbowyg();
    
    // dupliquer le formulaire de fichier
    $(".action-duplicate div").click(function(){
        //alert('reçu');
        var tag=$(this).attr("data-duplicate");
        var c=$(tag).clone().removeAttr('style');
        c.find('input').removeAttr('disabled');
        c.wrap('<div>');
        $(this).parent().before(c.parent().html());
        return false;
    });

    $('.form form').on('submit', function(e) {
        var $this = $(this); // L'objet jQuery du formulaire
        //$this.append("<input type='hidden' name='ajouter_item' value='oui'>");
        e.preventDefault(); // J'empêche le comportement par défaut du navigateur, c-à-d de soumettre le formulaire

        var formData = new FormData($(this)[0]);
        // Envoi de la requête HTTP en mode asynchrone
        $.ajax({
            url: "ajax/ajax-forms.php", // Le nom du fichier indiqué dans le formulaire
            type: "post", // La méthode indiquée dans le formulaire (get ou post)
            data: formData, //$this.serialize(), // Je sérialise les données (j'envoie toutes les valeurs présentes dans le formulaire)
            async: false,
            cache: false,
            contentType: false,
            processData: false,
            success: function(html) { // Je récupère la réponse du fichier PHP : l'adresse du fichier
                if(html!=""){
                    //alert(html);
                    <?php
                    if($donnees ==""){
                        echo "item_vignette_ajouter(html);";
                    } else {
                        echo "item_vignette_updater(html);";
                    }
                    ?>
                } else {
                    alert("retour vide");
                }
                cache_colonne_display();
                quicksearch.cache();
                //$("#bouton-fullwidth").click();
            }
        });
    });
</script>